Bug 471056 - Need list of all incompatible changes since last release.
Need list of all incompatible changes since last release.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Release_Notes (Show other bugs)
beta
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Jonathan Robie
Kim van der Riet
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 10:58 EST by Jonathan Robie
Modified: 2013-08-05 20:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-10 15:17:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Robie 2008-11-11 10:58:54 EST
Known incompatible changes:

1. The AckPolicy class is no longer supported. 

To set manual vs. automatic acks:

SubscriptionManager::setAcceptMode()

You can batch acknowledgements using:

Subscription::setAutoAck()

2. The names of FieldTable get methods have changed for consistency

getString()  -> getAsString()
gettInt()    -> getAsInt()

etc.

Note You need to log in before you can comment on or make changes to this bug.